Github messages for voidlinux
 help / color / Atom feed
* Re: [WIP] New package: nextcloud-client 2.5.3
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
@ 2019-09-05 17:32 ` voidlinux-github
  2019-09-10 18:36 ` voidlinux-github
                   ` (12 subsequent siblings)
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-09-05 17:32 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 313 bytes --]

New comment by codingHahn on void-packages repository

https://github.com/void-linux/void-packages/pull/14069#issuecomment-528489061

Comment:
With this patch https://github.com/libressl-portable/openbsd/pull/111 nextcloud-client works. It crashes randomly a few times, but there seems to be nothing in the logs.

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [WIP] New package: nextcloud-client 2.5.3
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
  2019-09-05 17:32 ` [WIP] New package: nextcloud-client 2.5.3 voidlinux-github
@ 2019-09-10 18:36 ` voidlinux-github
  2019-09-11  6:27 ` voidlinux-github
                   ` (11 subsequent siblings)
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-09-10 18:36 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 446 bytes --]

New comment by yopito on void-packages repository

https://github.com/void-linux/void-packages/pull/14069#issuecomment-530065836

Comment:
 sorry for late replay, missing time these days.  
Thanks for pointing a workaround to e2e lack.  
I don't feel confident to add a kind of enhancement of libreSSL within this package; can't wait for LibreSSL ? Furthermore, I won't be able to test e2e encryption.
@Hoshpak: what's your feeling about it ?

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [WIP] New package: nextcloud-client 2.5.3
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
  2019-09-05 17:32 ` [WIP] New package: nextcloud-client 2.5.3 voidlinux-github
  2019-09-10 18:36 ` voidlinux-github
@ 2019-09-11  6:27 ` voidlinux-github
  2019-10-16  5:06 ` [PR PATCH] [Updated] " voidlinux-github
                   ` (10 subsequent siblings)
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-09-11  6:27 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 345 bytes --]

New comment by Hoshpak on void-packages repository

https://github.com/void-linux/void-packages/pull/14069#issuecomment-530240379

Comment:
I think we should let the upstream projects sort this out and disable e2e for now. If the past taught us anything it's that we shouldn't mess with encryption unless we're absolutely sure what we're doing.

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: nextcloud-client 2.5.3
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
                   ` (3 preceding siblings ...)
  2019-10-16  5:06 ` [PR PATCH] [Updated] " voidlinux-github
@ 2019-10-16  5:06 ` voidlinux-github
  2019-10-16  6:24 ` [PR PATCH] [Updated] [WIP] New package: nextcloud-client 2.6.0 voidlinux-github
                   ` (8 subsequent siblings)
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-10-16  5:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 586 bytes --]

There is an updated pull request by yopito against master on the void-packages repository

https://github.com/yopito/void-packages nextcloud-client
https://github.com/void-linux/void-packages/pull/14069

[WIP] New package: nextcloud-client 2.5.3
* reuse various efforts on packaging it
* does NOT support Client Encryption (LibreSSL 2.9.2 limitation)
* [x] runtime usage ("it's working for me" (tm) )
* [ ]  split with subpkg -devel, ...
* [ ] crossbuild
* [ ] KDE dolphin specific support

A patch file from https://github.com/void-linux/void-packages/pull/14069.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-nextcloud-client-14069.patch --]
[-- Type: text/x-diff, Size: 4588 bytes --]

From 5c477395eb609be0a43d04662ee4c916fe9c8898 Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Thu, 29 Aug 2019 23:45:55 +0200
Subject: [PATCH] New package: nextcloud-client 2.6.0

---
 srcpkgs/nextcloud-client-devel                |  1 +
 srcpkgs/nextcloud-client-dolphin              |  1 +
 srcpkgs/nextcloud-client/INSTALL.msg          |  2 +
 .../patches/libressl-no-rsa_oaep_md.patch     | 23 ++++++++++
 srcpkgs/nextcloud-client/template             | 46 +++++++++++++++++++
 5 files changed, 73 insertions(+)
 create mode 120000 srcpkgs/nextcloud-client-devel
 create mode 120000 srcpkgs/nextcloud-client-dolphin
 create mode 100644 srcpkgs/nextcloud-client/INSTALL.msg
 create mode 100644 srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
 create mode 100644 srcpkgs/nextcloud-client/template

diff --git a/srcpkgs/nextcloud-client-devel b/srcpkgs/nextcloud-client-devel
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-devel
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client-dolphin b/srcpkgs/nextcloud-client-dolphin
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-dolphin
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client/INSTALL.msg b/srcpkgs/nextcloud-client/INSTALL.msg
new file mode 100644
index 00000000000..b3e877dc379
--- /dev/null
+++ b/srcpkgs/nextcloud-client/INSTALL.msg
@@ -0,0 +1,2 @@
+NextCloud client end-to-end encryption (e2e) is currently unavailable
+(LibreSSL 2.9.2 does not provide EVP_PKEY_CTX_set_rsa_oaep_md primitive)
diff --git a/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
new file mode 100644
index 00000000000..47c54fff778
--- /dev/null
+++ b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
@@ -0,0 +1,23 @@
+source: https://github.com/nextcloud/desktop/issues/738
+
+--- src/libsync/clientsideencryption.cpp.ORIG	2019-07-25 12:20:49.000000000 +0200
++++ src/libsync/clientsideencryption.cpp	2019-07-28 12:56:18.813514323 +0200
+@@ -35,6 +35,18 @@
+ 
+ #include "wordlist.h"
+ 
++/* libessl 2.92 does not provide EVP_PKEY_CTX_set_rsa_oaep_md
++ * So with LibreSSL EVP_PKEY_CTX_ctrl() should explicitly return an error 
++ * "operation not supported" when you try to use e2e
++ */
++#ifndef EVP_PKEY_CTX_set_rsa_oaep_md
++#define EVP_PKEY_CTRL_RSA_OAEP_MD       (EVP_PKEY_ALG_CTRL + 9)
++#define EVP_PKEY_CTRL_GET_RSA_OAEP_MD   (EVP_PKEY_ALG_CTRL + 11)
++#define EVP_PKEY_CTX_set_rsa_oaep_md(ctx, md) \
++        EVP_PKEY_CTX_ctrl(ctx, EVP_PKEY_RSA, EVP_PKEY_OP_TYPE_CRYPT,  \
++        EVP_PKEY_CTRL_RSA_OAEP_MD, 0, (void *)(md))
++#endif
++
+ QDebug operator<<(QDebug out, const std::string& str)
+ {
+     out << QString::fromStdString(str);
diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
new file mode 100644
index 00000000000..b7a4ea38221
--- /dev/null
+++ b/srcpkgs/nextcloud-client/template
@@ -0,0 +1,46 @@
+# Template file for 'nextcloud-client'
+pkgname=nextcloud-client
+version=2.6.0
+revision=1
+wrksrc="desktop-${version}"
+build_style=cmake
+configure_args="-Wno-dev"
+hostmakedepends="pkg-config"
+makedepends="qt5-tools-devel qt5-webengine-devel qt5-declarative-devel
+ qt5-webchannel-devel qt5-location-devel qtkeychain-qt5-devel sqlite-devel
+ qt5-webkit-devel libcloudproviders-devel extra-cmake-modules kio-devel"
+conf_files="/etc/Nextcloud/sync-exclude.lst"
+short_desc="NextCloud Desktop client"
+maintainer="yopito <pierre.bourgin@free.fr>"
+license="GPL-2.0-or-later"
+homepage="https://nextcloud.com/clients/"
+distfiles="https://github.com/nextcloud/desktop/archive/v${version}.tar.gz"
+checksum=7b3f3c14d2e44826a5183fd59a7412c6dd5ed00296873e35c566f75c14c3a3ea
+
+case "$XBPS_TARGET_MACHINE" in
+	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
+esac
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools qt5-tools"
+fi
+
+nextcloud-client-dolphin_package() {
+	short_desc+=" - KDE dolphin integration"
+	depends="nextcloud-client>=${version}_${revision}"
+	pkg_install() {
+		vmove usr/lib/libnextclouddolphinpluginhelper.so
+		vmove usr/lib/qt5
+		vmove usr/share/kservices5
+	}
+}
+
+nextcloud-client-devel_package() {
+	depends="nextcloud-client>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/libnextcloudsync.so
+		vmove "usr/lib/nextcloud/*.so"
+	}
+}

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: nextcloud-client 2.5.3
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
                   ` (2 preceding siblings ...)
  2019-09-11  6:27 ` voidlinux-github
@ 2019-10-16  5:06 ` " voidlinux-github
  2019-10-16  5:06 ` voidlinux-github
                   ` (9 subsequent siblings)
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-10-16  5:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 586 bytes --]

There is an updated pull request by yopito against master on the void-packages repository

https://github.com/yopito/void-packages nextcloud-client
https://github.com/void-linux/void-packages/pull/14069

[WIP] New package: nextcloud-client 2.5.3
* reuse various efforts on packaging it
* does NOT support Client Encryption (LibreSSL 2.9.2 limitation)
* [x] runtime usage ("it's working for me" (tm) )
* [ ]  split with subpkg -devel, ...
* [ ] crossbuild
* [ ] KDE dolphin specific support

A patch file from https://github.com/void-linux/void-packages/pull/14069.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-nextcloud-client-14069.patch --]
[-- Type: text/x-diff, Size: 4588 bytes --]

From 5c477395eb609be0a43d04662ee4c916fe9c8898 Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Thu, 29 Aug 2019 23:45:55 +0200
Subject: [PATCH] New package: nextcloud-client 2.6.0

---
 srcpkgs/nextcloud-client-devel                |  1 +
 srcpkgs/nextcloud-client-dolphin              |  1 +
 srcpkgs/nextcloud-client/INSTALL.msg          |  2 +
 .../patches/libressl-no-rsa_oaep_md.patch     | 23 ++++++++++
 srcpkgs/nextcloud-client/template             | 46 +++++++++++++++++++
 5 files changed, 73 insertions(+)
 create mode 120000 srcpkgs/nextcloud-client-devel
 create mode 120000 srcpkgs/nextcloud-client-dolphin
 create mode 100644 srcpkgs/nextcloud-client/INSTALL.msg
 create mode 100644 srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
 create mode 100644 srcpkgs/nextcloud-client/template

diff --git a/srcpkgs/nextcloud-client-devel b/srcpkgs/nextcloud-client-devel
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-devel
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client-dolphin b/srcpkgs/nextcloud-client-dolphin
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-dolphin
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client/INSTALL.msg b/srcpkgs/nextcloud-client/INSTALL.msg
new file mode 100644
index 00000000000..b3e877dc379
--- /dev/null
+++ b/srcpkgs/nextcloud-client/INSTALL.msg
@@ -0,0 +1,2 @@
+NextCloud client end-to-end encryption (e2e) is currently unavailable
+(LibreSSL 2.9.2 does not provide EVP_PKEY_CTX_set_rsa_oaep_md primitive)
diff --git a/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
new file mode 100644
index 00000000000..47c54fff778
--- /dev/null
+++ b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
@@ -0,0 +1,23 @@
+source: https://github.com/nextcloud/desktop/issues/738
+
+--- src/libsync/clientsideencryption.cpp.ORIG	2019-07-25 12:20:49.000000000 +0200
++++ src/libsync/clientsideencryption.cpp	2019-07-28 12:56:18.813514323 +0200
+@@ -35,6 +35,18 @@
+ 
+ #include "wordlist.h"
+ 
++/* libessl 2.92 does not provide EVP_PKEY_CTX_set_rsa_oaep_md
++ * So with LibreSSL EVP_PKEY_CTX_ctrl() should explicitly return an error 
++ * "operation not supported" when you try to use e2e
++ */
++#ifndef EVP_PKEY_CTX_set_rsa_oaep_md
++#define EVP_PKEY_CTRL_RSA_OAEP_MD       (EVP_PKEY_ALG_CTRL + 9)
++#define EVP_PKEY_CTRL_GET_RSA_OAEP_MD   (EVP_PKEY_ALG_CTRL + 11)
++#define EVP_PKEY_CTX_set_rsa_oaep_md(ctx, md) \
++        EVP_PKEY_CTX_ctrl(ctx, EVP_PKEY_RSA, EVP_PKEY_OP_TYPE_CRYPT,  \
++        EVP_PKEY_CTRL_RSA_OAEP_MD, 0, (void *)(md))
++#endif
++
+ QDebug operator<<(QDebug out, const std::string& str)
+ {
+     out << QString::fromStdString(str);
diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
new file mode 100644
index 00000000000..b7a4ea38221
--- /dev/null
+++ b/srcpkgs/nextcloud-client/template
@@ -0,0 +1,46 @@
+# Template file for 'nextcloud-client'
+pkgname=nextcloud-client
+version=2.6.0
+revision=1
+wrksrc="desktop-${version}"
+build_style=cmake
+configure_args="-Wno-dev"
+hostmakedepends="pkg-config"
+makedepends="qt5-tools-devel qt5-webengine-devel qt5-declarative-devel
+ qt5-webchannel-devel qt5-location-devel qtkeychain-qt5-devel sqlite-devel
+ qt5-webkit-devel libcloudproviders-devel extra-cmake-modules kio-devel"
+conf_files="/etc/Nextcloud/sync-exclude.lst"
+short_desc="NextCloud Desktop client"
+maintainer="yopito <pierre.bourgin@free.fr>"
+license="GPL-2.0-or-later"
+homepage="https://nextcloud.com/clients/"
+distfiles="https://github.com/nextcloud/desktop/archive/v${version}.tar.gz"
+checksum=7b3f3c14d2e44826a5183fd59a7412c6dd5ed00296873e35c566f75c14c3a3ea
+
+case "$XBPS_TARGET_MACHINE" in
+	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
+esac
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools qt5-tools"
+fi
+
+nextcloud-client-dolphin_package() {
+	short_desc+=" - KDE dolphin integration"
+	depends="nextcloud-client>=${version}_${revision}"
+	pkg_install() {
+		vmove usr/lib/libnextclouddolphinpluginhelper.so
+		vmove usr/lib/qt5
+		vmove usr/share/kservices5
+	}
+}
+
+nextcloud-client-devel_package() {
+	depends="nextcloud-client>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/libnextcloudsync.so
+		vmove "usr/lib/nextcloud/*.so"
+	}
+}

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: nextcloud-client 2.6.0
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
                   ` (5 preceding siblings ...)
  2019-10-16  6:24 ` [PR PATCH] [Updated] [WIP] New package: nextcloud-client 2.6.0 voidlinux-github
@ 2019-10-16  6:24 ` voidlinux-github
  2019-10-19  7:56 ` voidlinux-github
                   ` (6 subsequent siblings)
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-10-16  6:24 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 586 bytes --]

There is an updated pull request by yopito against master on the void-packages repository

https://github.com/yopito/void-packages nextcloud-client
https://github.com/void-linux/void-packages/pull/14069

[WIP] New package: nextcloud-client 2.6.0
* reuse various efforts on packaging it
* does NOT support Client Encryption (LibreSSL 2.9.2 limitation)
* [x] runtime usage ("it's working for me" (tm) )
* [x]  split with subpkg -devel, ...
* [ ] crossbuild
* [x] KDE dolphin specific support

A patch file from https://github.com/void-linux/void-packages/pull/14069.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-nextcloud-client-14069.patch --]
[-- Type: text/x-diff, Size: 6583 bytes --]

From 5c477395eb609be0a43d04662ee4c916fe9c8898 Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Thu, 29 Aug 2019 23:45:55 +0200
Subject: [PATCH 1/2] New package: nextcloud-client 2.6.0

---
 srcpkgs/nextcloud-client-devel                |  1 +
 srcpkgs/nextcloud-client-dolphin              |  1 +
 srcpkgs/nextcloud-client/INSTALL.msg          |  2 +
 .../patches/libressl-no-rsa_oaep_md.patch     | 23 ++++++++++
 srcpkgs/nextcloud-client/template             | 46 +++++++++++++++++++
 5 files changed, 73 insertions(+)
 create mode 120000 srcpkgs/nextcloud-client-devel
 create mode 120000 srcpkgs/nextcloud-client-dolphin
 create mode 100644 srcpkgs/nextcloud-client/INSTALL.msg
 create mode 100644 srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
 create mode 100644 srcpkgs/nextcloud-client/template

diff --git a/srcpkgs/nextcloud-client-devel b/srcpkgs/nextcloud-client-devel
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-devel
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client-dolphin b/srcpkgs/nextcloud-client-dolphin
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-dolphin
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client/INSTALL.msg b/srcpkgs/nextcloud-client/INSTALL.msg
new file mode 100644
index 00000000000..b3e877dc379
--- /dev/null
+++ b/srcpkgs/nextcloud-client/INSTALL.msg
@@ -0,0 +1,2 @@
+NextCloud client end-to-end encryption (e2e) is currently unavailable
+(LibreSSL 2.9.2 does not provide EVP_PKEY_CTX_set_rsa_oaep_md primitive)
diff --git a/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
new file mode 100644
index 00000000000..47c54fff778
--- /dev/null
+++ b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
@@ -0,0 +1,23 @@
+source: https://github.com/nextcloud/desktop/issues/738
+
+--- src/libsync/clientsideencryption.cpp.ORIG	2019-07-25 12:20:49.000000000 +0200
++++ src/libsync/clientsideencryption.cpp	2019-07-28 12:56:18.813514323 +0200
+@@ -35,6 +35,18 @@
+ 
+ #include "wordlist.h"
+ 
++/* libessl 2.92 does not provide EVP_PKEY_CTX_set_rsa_oaep_md
++ * So with LibreSSL EVP_PKEY_CTX_ctrl() should explicitly return an error 
++ * "operation not supported" when you try to use e2e
++ */
++#ifndef EVP_PKEY_CTX_set_rsa_oaep_md
++#define EVP_PKEY_CTRL_RSA_OAEP_MD       (EVP_PKEY_ALG_CTRL + 9)
++#define EVP_PKEY_CTRL_GET_RSA_OAEP_MD   (EVP_PKEY_ALG_CTRL + 11)
++#define EVP_PKEY_CTX_set_rsa_oaep_md(ctx, md) \
++        EVP_PKEY_CTX_ctrl(ctx, EVP_PKEY_RSA, EVP_PKEY_OP_TYPE_CRYPT,  \
++        EVP_PKEY_CTRL_RSA_OAEP_MD, 0, (void *)(md))
++#endif
++
+ QDebug operator<<(QDebug out, const std::string& str)
+ {
+     out << QString::fromStdString(str);
diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
new file mode 100644
index 00000000000..b7a4ea38221
--- /dev/null
+++ b/srcpkgs/nextcloud-client/template
@@ -0,0 +1,46 @@
+# Template file for 'nextcloud-client'
+pkgname=nextcloud-client
+version=2.6.0
+revision=1
+wrksrc="desktop-${version}"
+build_style=cmake
+configure_args="-Wno-dev"
+hostmakedepends="pkg-config"
+makedepends="qt5-tools-devel qt5-webengine-devel qt5-declarative-devel
+ qt5-webchannel-devel qt5-location-devel qtkeychain-qt5-devel sqlite-devel
+ qt5-webkit-devel libcloudproviders-devel extra-cmake-modules kio-devel"
+conf_files="/etc/Nextcloud/sync-exclude.lst"
+short_desc="NextCloud Desktop client"
+maintainer="yopito <pierre.bourgin@free.fr>"
+license="GPL-2.0-or-later"
+homepage="https://nextcloud.com/clients/"
+distfiles="https://github.com/nextcloud/desktop/archive/v${version}.tar.gz"
+checksum=7b3f3c14d2e44826a5183fd59a7412c6dd5ed00296873e35c566f75c14c3a3ea
+
+case "$XBPS_TARGET_MACHINE" in
+	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
+esac
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools qt5-tools"
+fi
+
+nextcloud-client-dolphin_package() {
+	short_desc+=" - KDE dolphin integration"
+	depends="nextcloud-client>=${version}_${revision}"
+	pkg_install() {
+		vmove usr/lib/libnextclouddolphinpluginhelper.so
+		vmove usr/lib/qt5
+		vmove usr/share/kservices5
+	}
+}
+
+nextcloud-client-devel_package() {
+	depends="nextcloud-client>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/libnextcloudsync.so
+		vmove "usr/lib/nextcloud/*.so"
+	}
+}

From 2b12bd29cff9eb2449d5655549979fe6f6a9412a Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Wed, 16 Oct 2019 08:24:23 +0200
Subject: [PATCH 2/2] nextcloud-client: add dolphin build_option

---
 srcpkgs/nextcloud-client/template | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
index b7a4ea38221..46d0af2b204 100644
--- a/srcpkgs/nextcloud-client/template
+++ b/srcpkgs/nextcloud-client/template
@@ -8,7 +8,7 @@ configure_args="-Wno-dev"
 hostmakedepends="pkg-config"
 makedepends="qt5-tools-devel qt5-webengine-devel qt5-declarative-devel
  qt5-webchannel-devel qt5-location-devel qtkeychain-qt5-devel sqlite-devel
- qt5-webkit-devel libcloudproviders-devel extra-cmake-modules kio-devel"
+ qt5-webkit-devel libcloudproviders-devel $(vopt_if dolphin 'extra-cmake-modules kio-devel')"
 conf_files="/etc/Nextcloud/sync-exclude.lst"
 short_desc="NextCloud Desktop client"
 maintainer="yopito <pierre.bourgin@free.fr>"
@@ -17,14 +17,21 @@ homepage="https://nextcloud.com/clients/"
 distfiles="https://github.com/nextcloud/desktop/archive/v${version}.tar.gz"
 checksum=7b3f3c14d2e44826a5183fd59a7412c6dd5ed00296873e35c566f75c14c3a3ea
 
+build_options="dolphin"
+desc_option_dolphin="Build KDE dolphin support"
+build_options_default="dolphin"
+
 case "$XBPS_TARGET_MACHINE" in
 	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
 esac
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" qt5-qmake qt5-host-tools qt5-tools"
+	# provides desktoptojson
+	hostmakedepends+=" $(vopt_if dolphin 'kcoreaddons')"
 fi
 
+if [ $build_option_dolphin ]; then
 nextcloud-client-dolphin_package() {
 	short_desc+=" - KDE dolphin integration"
 	depends="nextcloud-client>=${version}_${revision}"
@@ -34,6 +41,7 @@ nextcloud-client-dolphin_package() {
 		vmove usr/share/kservices5
 	}
 }
+fi
 
 nextcloud-client-devel_package() {
 	depends="nextcloud-client>=${version}_${revision}"

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: nextcloud-client 2.6.0
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
                   ` (4 preceding siblings ...)
  2019-10-16  5:06 ` voidlinux-github
@ 2019-10-16  6:24 ` voidlinux-github
  2019-10-16  6:24 ` voidlinux-github
                   ` (7 subsequent siblings)
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-10-16  6:24 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 586 bytes --]

There is an updated pull request by yopito against master on the void-packages repository

https://github.com/yopito/void-packages nextcloud-client
https://github.com/void-linux/void-packages/pull/14069

[WIP] New package: nextcloud-client 2.6.0
* reuse various efforts on packaging it
* does NOT support Client Encryption (LibreSSL 2.9.2 limitation)
* [x] runtime usage ("it's working for me" (tm) )
* [x]  split with subpkg -devel, ...
* [ ] crossbuild
* [x] KDE dolphin specific support

A patch file from https://github.com/void-linux/void-packages/pull/14069.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-nextcloud-client-14069.patch --]
[-- Type: text/x-diff, Size: 6583 bytes --]

From 5c477395eb609be0a43d04662ee4c916fe9c8898 Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Thu, 29 Aug 2019 23:45:55 +0200
Subject: [PATCH 1/2] New package: nextcloud-client 2.6.0

---
 srcpkgs/nextcloud-client-devel                |  1 +
 srcpkgs/nextcloud-client-dolphin              |  1 +
 srcpkgs/nextcloud-client/INSTALL.msg          |  2 +
 .../patches/libressl-no-rsa_oaep_md.patch     | 23 ++++++++++
 srcpkgs/nextcloud-client/template             | 46 +++++++++++++++++++
 5 files changed, 73 insertions(+)
 create mode 120000 srcpkgs/nextcloud-client-devel
 create mode 120000 srcpkgs/nextcloud-client-dolphin
 create mode 100644 srcpkgs/nextcloud-client/INSTALL.msg
 create mode 100644 srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
 create mode 100644 srcpkgs/nextcloud-client/template

diff --git a/srcpkgs/nextcloud-client-devel b/srcpkgs/nextcloud-client-devel
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-devel
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client-dolphin b/srcpkgs/nextcloud-client-dolphin
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-dolphin
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client/INSTALL.msg b/srcpkgs/nextcloud-client/INSTALL.msg
new file mode 100644
index 00000000000..b3e877dc379
--- /dev/null
+++ b/srcpkgs/nextcloud-client/INSTALL.msg
@@ -0,0 +1,2 @@
+NextCloud client end-to-end encryption (e2e) is currently unavailable
+(LibreSSL 2.9.2 does not provide EVP_PKEY_CTX_set_rsa_oaep_md primitive)
diff --git a/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
new file mode 100644
index 00000000000..47c54fff778
--- /dev/null
+++ b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
@@ -0,0 +1,23 @@
+source: https://github.com/nextcloud/desktop/issues/738
+
+--- src/libsync/clientsideencryption.cpp.ORIG	2019-07-25 12:20:49.000000000 +0200
++++ src/libsync/clientsideencryption.cpp	2019-07-28 12:56:18.813514323 +0200
+@@ -35,6 +35,18 @@
+ 
+ #include "wordlist.h"
+ 
++/* libessl 2.92 does not provide EVP_PKEY_CTX_set_rsa_oaep_md
++ * So with LibreSSL EVP_PKEY_CTX_ctrl() should explicitly return an error 
++ * "operation not supported" when you try to use e2e
++ */
++#ifndef EVP_PKEY_CTX_set_rsa_oaep_md
++#define EVP_PKEY_CTRL_RSA_OAEP_MD       (EVP_PKEY_ALG_CTRL + 9)
++#define EVP_PKEY_CTRL_GET_RSA_OAEP_MD   (EVP_PKEY_ALG_CTRL + 11)
++#define EVP_PKEY_CTX_set_rsa_oaep_md(ctx, md) \
++        EVP_PKEY_CTX_ctrl(ctx, EVP_PKEY_RSA, EVP_PKEY_OP_TYPE_CRYPT,  \
++        EVP_PKEY_CTRL_RSA_OAEP_MD, 0, (void *)(md))
++#endif
++
+ QDebug operator<<(QDebug out, const std::string& str)
+ {
+     out << QString::fromStdString(str);
diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
new file mode 100644
index 00000000000..b7a4ea38221
--- /dev/null
+++ b/srcpkgs/nextcloud-client/template
@@ -0,0 +1,46 @@
+# Template file for 'nextcloud-client'
+pkgname=nextcloud-client
+version=2.6.0
+revision=1
+wrksrc="desktop-${version}"
+build_style=cmake
+configure_args="-Wno-dev"
+hostmakedepends="pkg-config"
+makedepends="qt5-tools-devel qt5-webengine-devel qt5-declarative-devel
+ qt5-webchannel-devel qt5-location-devel qtkeychain-qt5-devel sqlite-devel
+ qt5-webkit-devel libcloudproviders-devel extra-cmake-modules kio-devel"
+conf_files="/etc/Nextcloud/sync-exclude.lst"
+short_desc="NextCloud Desktop client"
+maintainer="yopito <pierre.bourgin@free.fr>"
+license="GPL-2.0-or-later"
+homepage="https://nextcloud.com/clients/"
+distfiles="https://github.com/nextcloud/desktop/archive/v${version}.tar.gz"
+checksum=7b3f3c14d2e44826a5183fd59a7412c6dd5ed00296873e35c566f75c14c3a3ea
+
+case "$XBPS_TARGET_MACHINE" in
+	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
+esac
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools qt5-tools"
+fi
+
+nextcloud-client-dolphin_package() {
+	short_desc+=" - KDE dolphin integration"
+	depends="nextcloud-client>=${version}_${revision}"
+	pkg_install() {
+		vmove usr/lib/libnextclouddolphinpluginhelper.so
+		vmove usr/lib/qt5
+		vmove usr/share/kservices5
+	}
+}
+
+nextcloud-client-devel_package() {
+	depends="nextcloud-client>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/libnextcloudsync.so
+		vmove "usr/lib/nextcloud/*.so"
+	}
+}

From 2b12bd29cff9eb2449d5655549979fe6f6a9412a Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Wed, 16 Oct 2019 08:24:23 +0200
Subject: [PATCH 2/2] nextcloud-client: add dolphin build_option

---
 srcpkgs/nextcloud-client/template | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
index b7a4ea38221..46d0af2b204 100644
--- a/srcpkgs/nextcloud-client/template
+++ b/srcpkgs/nextcloud-client/template
@@ -8,7 +8,7 @@ configure_args="-Wno-dev"
 hostmakedepends="pkg-config"
 makedepends="qt5-tools-devel qt5-webengine-devel qt5-declarative-devel
  qt5-webchannel-devel qt5-location-devel qtkeychain-qt5-devel sqlite-devel
- qt5-webkit-devel libcloudproviders-devel extra-cmake-modules kio-devel"
+ qt5-webkit-devel libcloudproviders-devel $(vopt_if dolphin 'extra-cmake-modules kio-devel')"
 conf_files="/etc/Nextcloud/sync-exclude.lst"
 short_desc="NextCloud Desktop client"
 maintainer="yopito <pierre.bourgin@free.fr>"
@@ -17,14 +17,21 @@ homepage="https://nextcloud.com/clients/"
 distfiles="https://github.com/nextcloud/desktop/archive/v${version}.tar.gz"
 checksum=7b3f3c14d2e44826a5183fd59a7412c6dd5ed00296873e35c566f75c14c3a3ea
 
+build_options="dolphin"
+desc_option_dolphin="Build KDE dolphin support"
+build_options_default="dolphin"
+
 case "$XBPS_TARGET_MACHINE" in
 	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
 esac
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" qt5-qmake qt5-host-tools qt5-tools"
+	# provides desktoptojson
+	hostmakedepends+=" $(vopt_if dolphin 'kcoreaddons')"
 fi
 
+if [ $build_option_dolphin ]; then
 nextcloud-client-dolphin_package() {
 	short_desc+=" - KDE dolphin integration"
 	depends="nextcloud-client>=${version}_${revision}"
@@ -34,6 +41,7 @@ nextcloud-client-dolphin_package() {
 		vmove usr/share/kservices5
 	}
 }
+fi
 
 nextcloud-client-devel_package() {
 	depends="nextcloud-client>=${version}_${revision}"

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: nextcloud-client 2.6.0
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
                   ` (6 preceding siblings ...)
  2019-10-16  6:24 ` voidlinux-github
@ 2019-10-19  7:56 ` voidlinux-github
  2019-10-19  7:56 ` voidlinux-github
                   ` (5 subsequent siblings)
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-10-19  7:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 586 bytes --]

There is an updated pull request by yopito against master on the void-packages repository

https://github.com/yopito/void-packages nextcloud-client
https://github.com/void-linux/void-packages/pull/14069

[WIP] New package: nextcloud-client 2.6.0
* reuse various efforts on packaging it
* does NOT support Client Encryption (LibreSSL 2.9.2 limitation)
* [x] runtime usage ("it's working for me" (tm) )
* [x]  split with subpkg -devel, ...
* [ ] crossbuild
* [x] KDE dolphin specific support

A patch file from https://github.com/void-linux/void-packages/pull/14069.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-nextcloud-client-14069.patch --]
[-- Type: text/x-diff, Size: 4838 bytes --]

From b7863113d88f4e6c9574695bd674dda3f3aa9934 Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Thu, 29 Aug 2019 23:45:55 +0200
Subject: [PATCH] New package: nextcloud-client 2.6.0

---
 srcpkgs/nextcloud-client-devel                |  1 +
 srcpkgs/nextcloud-client-dolphin              |  1 +
 srcpkgs/nextcloud-client/INSTALL.msg          |  2 +
 .../patches/libressl-no-rsa_oaep_md.patch     | 23 ++++++++
 srcpkgs/nextcloud-client/template             | 54 +++++++++++++++++++
 5 files changed, 81 insertions(+)
 create mode 120000 srcpkgs/nextcloud-client-devel
 create mode 120000 srcpkgs/nextcloud-client-dolphin
 create mode 100644 srcpkgs/nextcloud-client/INSTALL.msg
 create mode 100644 srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
 create mode 100644 srcpkgs/nextcloud-client/template

diff --git a/srcpkgs/nextcloud-client-devel b/srcpkgs/nextcloud-client-devel
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-devel
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client-dolphin b/srcpkgs/nextcloud-client-dolphin
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-dolphin
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client/INSTALL.msg b/srcpkgs/nextcloud-client/INSTALL.msg
new file mode 100644
index 00000000000..b3e877dc379
--- /dev/null
+++ b/srcpkgs/nextcloud-client/INSTALL.msg
@@ -0,0 +1,2 @@
+NextCloud client end-to-end encryption (e2e) is currently unavailable
+(LibreSSL 2.9.2 does not provide EVP_PKEY_CTX_set_rsa_oaep_md primitive)
diff --git a/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
new file mode 100644
index 00000000000..47c54fff778
--- /dev/null
+++ b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
@@ -0,0 +1,23 @@
+source: https://github.com/nextcloud/desktop/issues/738
+
+--- src/libsync/clientsideencryption.cpp.ORIG	2019-07-25 12:20:49.000000000 +0200
++++ src/libsync/clientsideencryption.cpp	2019-07-28 12:56:18.813514323 +0200
+@@ -35,6 +35,18 @@
+ 
+ #include "wordlist.h"
+ 
++/* libessl 2.92 does not provide EVP_PKEY_CTX_set_rsa_oaep_md
++ * So with LibreSSL EVP_PKEY_CTX_ctrl() should explicitly return an error 
++ * "operation not supported" when you try to use e2e
++ */
++#ifndef EVP_PKEY_CTX_set_rsa_oaep_md
++#define EVP_PKEY_CTRL_RSA_OAEP_MD       (EVP_PKEY_ALG_CTRL + 9)
++#define EVP_PKEY_CTRL_GET_RSA_OAEP_MD   (EVP_PKEY_ALG_CTRL + 11)
++#define EVP_PKEY_CTX_set_rsa_oaep_md(ctx, md) \
++        EVP_PKEY_CTX_ctrl(ctx, EVP_PKEY_RSA, EVP_PKEY_OP_TYPE_CRYPT,  \
++        EVP_PKEY_CTRL_RSA_OAEP_MD, 0, (void *)(md))
++#endif
++
+ QDebug operator<<(QDebug out, const std::string& str)
+ {
+     out << QString::fromStdString(str);
diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
new file mode 100644
index 00000000000..46d0af2b204
--- /dev/null
+++ b/srcpkgs/nextcloud-client/template
@@ -0,0 +1,54 @@
+# Template file for 'nextcloud-client'
+pkgname=nextcloud-client
+version=2.6.0
+revision=1
+wrksrc="desktop-${version}"
+build_style=cmake
+configure_args="-Wno-dev"
+hostmakedepends="pkg-config"
+makedepends="qt5-tools-devel qt5-webengine-devel qt5-declarative-devel
+ qt5-webchannel-devel qt5-location-devel qtkeychain-qt5-devel sqlite-devel
+ qt5-webkit-devel libcloudproviders-devel $(vopt_if dolphin 'extra-cmake-modules kio-devel')"
+conf_files="/etc/Nextcloud/sync-exclude.lst"
+short_desc="NextCloud Desktop client"
+maintainer="yopito <pierre.bourgin@free.fr>"
+license="GPL-2.0-or-later"
+homepage="https://nextcloud.com/clients/"
+distfiles="https://github.com/nextcloud/desktop/archive/v${version}.tar.gz"
+checksum=7b3f3c14d2e44826a5183fd59a7412c6dd5ed00296873e35c566f75c14c3a3ea
+
+build_options="dolphin"
+desc_option_dolphin="Build KDE dolphin support"
+build_options_default="dolphin"
+
+case "$XBPS_TARGET_MACHINE" in
+	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
+esac
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools qt5-tools"
+	# provides desktoptojson
+	hostmakedepends+=" $(vopt_if dolphin 'kcoreaddons')"
+fi
+
+if [ $build_option_dolphin ]; then
+nextcloud-client-dolphin_package() {
+	short_desc+=" - KDE dolphin integration"
+	depends="nextcloud-client>=${version}_${revision}"
+	pkg_install() {
+		vmove usr/lib/libnextclouddolphinpluginhelper.so
+		vmove usr/lib/qt5
+		vmove usr/share/kservices5
+	}
+}
+fi
+
+nextcloud-client-devel_package() {
+	depends="nextcloud-client>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/libnextcloudsync.so
+		vmove "usr/lib/nextcloud/*.so"
+	}
+}

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: nextcloud-client 2.6.0
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
                   ` (7 preceding siblings ...)
  2019-10-19  7:56 ` voidlinux-github
@ 2019-10-19  7:56 ` voidlinux-github
  2019-10-19  8:17 ` voidlinux-github
                   ` (4 subsequent siblings)
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-10-19  7:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 586 bytes --]

There is an updated pull request by yopito against master on the void-packages repository

https://github.com/yopito/void-packages nextcloud-client
https://github.com/void-linux/void-packages/pull/14069

[WIP] New package: nextcloud-client 2.6.0
* reuse various efforts on packaging it
* does NOT support Client Encryption (LibreSSL 2.9.2 limitation)
* [x] runtime usage ("it's working for me" (tm) )
* [x]  split with subpkg -devel, ...
* [ ] crossbuild
* [x] KDE dolphin specific support

A patch file from https://github.com/void-linux/void-packages/pull/14069.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-nextcloud-client-14069.patch --]
[-- Type: text/x-diff, Size: 4838 bytes --]

From b7863113d88f4e6c9574695bd674dda3f3aa9934 Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Thu, 29 Aug 2019 23:45:55 +0200
Subject: [PATCH] New package: nextcloud-client 2.6.0

---
 srcpkgs/nextcloud-client-devel                |  1 +
 srcpkgs/nextcloud-client-dolphin              |  1 +
 srcpkgs/nextcloud-client/INSTALL.msg          |  2 +
 .../patches/libressl-no-rsa_oaep_md.patch     | 23 ++++++++
 srcpkgs/nextcloud-client/template             | 54 +++++++++++++++++++
 5 files changed, 81 insertions(+)
 create mode 120000 srcpkgs/nextcloud-client-devel
 create mode 120000 srcpkgs/nextcloud-client-dolphin
 create mode 100644 srcpkgs/nextcloud-client/INSTALL.msg
 create mode 100644 srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
 create mode 100644 srcpkgs/nextcloud-client/template

diff --git a/srcpkgs/nextcloud-client-devel b/srcpkgs/nextcloud-client-devel
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-devel
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client-dolphin b/srcpkgs/nextcloud-client-dolphin
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-dolphin
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client/INSTALL.msg b/srcpkgs/nextcloud-client/INSTALL.msg
new file mode 100644
index 00000000000..b3e877dc379
--- /dev/null
+++ b/srcpkgs/nextcloud-client/INSTALL.msg
@@ -0,0 +1,2 @@
+NextCloud client end-to-end encryption (e2e) is currently unavailable
+(LibreSSL 2.9.2 does not provide EVP_PKEY_CTX_set_rsa_oaep_md primitive)
diff --git a/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
new file mode 100644
index 00000000000..47c54fff778
--- /dev/null
+++ b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
@@ -0,0 +1,23 @@
+source: https://github.com/nextcloud/desktop/issues/738
+
+--- src/libsync/clientsideencryption.cpp.ORIG	2019-07-25 12:20:49.000000000 +0200
++++ src/libsync/clientsideencryption.cpp	2019-07-28 12:56:18.813514323 +0200
+@@ -35,6 +35,18 @@
+ 
+ #include "wordlist.h"
+ 
++/* libessl 2.92 does not provide EVP_PKEY_CTX_set_rsa_oaep_md
++ * So with LibreSSL EVP_PKEY_CTX_ctrl() should explicitly return an error 
++ * "operation not supported" when you try to use e2e
++ */
++#ifndef EVP_PKEY_CTX_set_rsa_oaep_md
++#define EVP_PKEY_CTRL_RSA_OAEP_MD       (EVP_PKEY_ALG_CTRL + 9)
++#define EVP_PKEY_CTRL_GET_RSA_OAEP_MD   (EVP_PKEY_ALG_CTRL + 11)
++#define EVP_PKEY_CTX_set_rsa_oaep_md(ctx, md) \
++        EVP_PKEY_CTX_ctrl(ctx, EVP_PKEY_RSA, EVP_PKEY_OP_TYPE_CRYPT,  \
++        EVP_PKEY_CTRL_RSA_OAEP_MD, 0, (void *)(md))
++#endif
++
+ QDebug operator<<(QDebug out, const std::string& str)
+ {
+     out << QString::fromStdString(str);
diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
new file mode 100644
index 00000000000..46d0af2b204
--- /dev/null
+++ b/srcpkgs/nextcloud-client/template
@@ -0,0 +1,54 @@
+# Template file for 'nextcloud-client'
+pkgname=nextcloud-client
+version=2.6.0
+revision=1
+wrksrc="desktop-${version}"
+build_style=cmake
+configure_args="-Wno-dev"
+hostmakedepends="pkg-config"
+makedepends="qt5-tools-devel qt5-webengine-devel qt5-declarative-devel
+ qt5-webchannel-devel qt5-location-devel qtkeychain-qt5-devel sqlite-devel
+ qt5-webkit-devel libcloudproviders-devel $(vopt_if dolphin 'extra-cmake-modules kio-devel')"
+conf_files="/etc/Nextcloud/sync-exclude.lst"
+short_desc="NextCloud Desktop client"
+maintainer="yopito <pierre.bourgin@free.fr>"
+license="GPL-2.0-or-later"
+homepage="https://nextcloud.com/clients/"
+distfiles="https://github.com/nextcloud/desktop/archive/v${version}.tar.gz"
+checksum=7b3f3c14d2e44826a5183fd59a7412c6dd5ed00296873e35c566f75c14c3a3ea
+
+build_options="dolphin"
+desc_option_dolphin="Build KDE dolphin support"
+build_options_default="dolphin"
+
+case "$XBPS_TARGET_MACHINE" in
+	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
+esac
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools qt5-tools"
+	# provides desktoptojson
+	hostmakedepends+=" $(vopt_if dolphin 'kcoreaddons')"
+fi
+
+if [ $build_option_dolphin ]; then
+nextcloud-client-dolphin_package() {
+	short_desc+=" - KDE dolphin integration"
+	depends="nextcloud-client>=${version}_${revision}"
+	pkg_install() {
+		vmove usr/lib/libnextclouddolphinpluginhelper.so
+		vmove usr/lib/qt5
+		vmove usr/share/kservices5
+	}
+}
+fi
+
+nextcloud-client-devel_package() {
+	depends="nextcloud-client>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/libnextcloudsync.so
+		vmove "usr/lib/nextcloud/*.so"
+	}
+}

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: New package: nextcloud-client 2.6.0
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
                   ` (8 preceding siblings ...)
  2019-10-19  7:56 ` voidlinux-github
@ 2019-10-19  8:17 ` voidlinux-github
  2019-10-28 22:31 ` [PR PATCH] [Updated] " voidlinux-github
                   ` (3 subsequent siblings)
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-10-19  8:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 156 bytes --]

New comment by yopito on void-packages repository

https://github.com/void-linux/void-packages/pull/14069#issuecomment-544114341

Comment:
ready for review

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] New package: nextcloud-client 2.6.0
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
                   ` (10 preceding siblings ...)
  2019-10-28 22:31 ` [PR PATCH] [Updated] " voidlinux-github
@ 2019-10-28 22:31 ` voidlinux-github
  2019-10-28 22:31 ` voidlinux-github
  2019-10-29  8:16 ` [PR PATCH] [Merged]: " voidlinux-github
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-10-28 22:31 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 580 bytes --]

There is an updated pull request by yopito against master on the void-packages repository

https://github.com/yopito/void-packages nextcloud-client
https://github.com/void-linux/void-packages/pull/14069

New package: nextcloud-client 2.6.0
* reuse various efforts on packaging it
* does NOT support Client Encryption (LibreSSL 2.9.2 limitation)
* [x] runtime usage ("it's working for me" (tm) )
* [x]  split with subpkg -devel, ...
* [x] crossbuild
* [x] KDE dolphin specific support

A patch file from https://github.com/void-linux/void-packages/pull/14069.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-nextcloud-client-14069.patch --]
[-- Type: text/x-diff, Size: 6224 bytes --]

From c5d8c859488e6762e4ff3486c6575c5aad6d5de9 Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Thu, 29 Aug 2019 23:45:55 +0200
Subject: [PATCH 1/2] New package: nextcloud-client 2.6.0

---
 srcpkgs/nextcloud-client-devel                |  1 +
 srcpkgs/nextcloud-client-dolphin              |  1 +
 srcpkgs/nextcloud-client/INSTALL.msg          |  2 +
 .../patches/libressl-no-rsa_oaep_md.patch     | 23 ++++++++
 srcpkgs/nextcloud-client/template             | 54 +++++++++++++++++++
 5 files changed, 81 insertions(+)
 create mode 120000 srcpkgs/nextcloud-client-devel
 create mode 120000 srcpkgs/nextcloud-client-dolphin
 create mode 100644 srcpkgs/nextcloud-client/INSTALL.msg
 create mode 100644 srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
 create mode 100644 srcpkgs/nextcloud-client/template

diff --git a/srcpkgs/nextcloud-client-devel b/srcpkgs/nextcloud-client-devel
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-devel
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client-dolphin b/srcpkgs/nextcloud-client-dolphin
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-dolphin
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client/INSTALL.msg b/srcpkgs/nextcloud-client/INSTALL.msg
new file mode 100644
index 00000000000..b3e877dc379
--- /dev/null
+++ b/srcpkgs/nextcloud-client/INSTALL.msg
@@ -0,0 +1,2 @@
+NextCloud client end-to-end encryption (e2e) is currently unavailable
+(LibreSSL 2.9.2 does not provide EVP_PKEY_CTX_set_rsa_oaep_md primitive)
diff --git a/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
new file mode 100644
index 00000000000..47c54fff778
--- /dev/null
+++ b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
@@ -0,0 +1,23 @@
+source: https://github.com/nextcloud/desktop/issues/738
+
+--- src/libsync/clientsideencryption.cpp.ORIG	2019-07-25 12:20:49.000000000 +0200
++++ src/libsync/clientsideencryption.cpp	2019-07-28 12:56:18.813514323 +0200
+@@ -35,6 +35,18 @@
+ 
+ #include "wordlist.h"
+ 
++/* libessl 2.92 does not provide EVP_PKEY_CTX_set_rsa_oaep_md
++ * So with LibreSSL EVP_PKEY_CTX_ctrl() should explicitly return an error 
++ * "operation not supported" when you try to use e2e
++ */
++#ifndef EVP_PKEY_CTX_set_rsa_oaep_md
++#define EVP_PKEY_CTRL_RSA_OAEP_MD       (EVP_PKEY_ALG_CTRL + 9)
++#define EVP_PKEY_CTRL_GET_RSA_OAEP_MD   (EVP_PKEY_ALG_CTRL + 11)
++#define EVP_PKEY_CTX_set_rsa_oaep_md(ctx, md) \
++        EVP_PKEY_CTX_ctrl(ctx, EVP_PKEY_RSA, EVP_PKEY_OP_TYPE_CRYPT,  \
++        EVP_PKEY_CTRL_RSA_OAEP_MD, 0, (void *)(md))
++#endif
++
+ QDebug operator<<(QDebug out, const std::string& str)
+ {
+     out << QString::fromStdString(str);
diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
new file mode 100644
index 00000000000..46d0af2b204
--- /dev/null
+++ b/srcpkgs/nextcloud-client/template
@@ -0,0 +1,54 @@
+# Template file for 'nextcloud-client'
+pkgname=nextcloud-client
+version=2.6.0
+revision=1
+wrksrc="desktop-${version}"
+build_style=cmake
+configure_args="-Wno-dev"
+hostmakedepends="pkg-config"
+makedepends="qt5-tools-devel qt5-webengine-devel qt5-declarative-devel
+ qt5-webchannel-devel qt5-location-devel qtkeychain-qt5-devel sqlite-devel
+ qt5-webkit-devel libcloudproviders-devel $(vopt_if dolphin 'extra-cmake-modules kio-devel')"
+conf_files="/etc/Nextcloud/sync-exclude.lst"
+short_desc="NextCloud Desktop client"
+maintainer="yopito <pierre.bourgin@free.fr>"
+license="GPL-2.0-or-later"
+homepage="https://nextcloud.com/clients/"
+distfiles="https://github.com/nextcloud/desktop/archive/v${version}.tar.gz"
+checksum=7b3f3c14d2e44826a5183fd59a7412c6dd5ed00296873e35c566f75c14c3a3ea
+
+build_options="dolphin"
+desc_option_dolphin="Build KDE dolphin support"
+build_options_default="dolphin"
+
+case "$XBPS_TARGET_MACHINE" in
+	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
+esac
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools qt5-tools"
+	# provides desktoptojson
+	hostmakedepends+=" $(vopt_if dolphin 'kcoreaddons')"
+fi
+
+if [ $build_option_dolphin ]; then
+nextcloud-client-dolphin_package() {
+	short_desc+=" - KDE dolphin integration"
+	depends="nextcloud-client>=${version}_${revision}"
+	pkg_install() {
+		vmove usr/lib/libnextclouddolphinpluginhelper.so
+		vmove usr/lib/qt5
+		vmove usr/share/kservices5
+	}
+}
+fi
+
+nextcloud-client-devel_package() {
+	depends="nextcloud-client>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/libnextcloudsync.so
+		vmove "usr/lib/nextcloud/*.so"
+	}
+}

From 27361cc3dfdd8e866e5b011f932157d5a3be07cc Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Mon, 28 Oct 2019 20:42:15 +0100
Subject: [PATCH 2/2] nextcloud-client: declare optional subpkg via subpackages

---
 srcpkgs/nextcloud-client/template | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
index 46d0af2b204..8270966808f 100644
--- a/srcpkgs/nextcloud-client/template
+++ b/srcpkgs/nextcloud-client/template
@@ -22,7 +22,7 @@ desc_option_dolphin="Build KDE dolphin support"
 build_options_default="dolphin"
 
 case "$XBPS_TARGET_MACHINE" in
-	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
+	arm*) broken="qt5-webengine-devel unavailable" ;;
 esac
 
 if [ "$CROSS_BUILD" ]; then
@@ -30,8 +30,8 @@ if [ "$CROSS_BUILD" ]; then
 	# provides desktoptojson
 	hostmakedepends+=" $(vopt_if dolphin 'kcoreaddons')"
 fi
+subpackages="$(vopt_if dolphin 'nextcloud-client-dolphin') nextcloud-client-devel"
 
-if [ $build_option_dolphin ]; then
 nextcloud-client-dolphin_package() {
 	short_desc+=" - KDE dolphin integration"
 	depends="nextcloud-client>=${version}_${revision}"
@@ -41,7 +41,6 @@ nextcloud-client-dolphin_package() {
 		vmove usr/share/kservices5
 	}
 }
-fi
 
 nextcloud-client-devel_package() {
 	depends="nextcloud-client>=${version}_${revision}"

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Updated] New package: nextcloud-client 2.6.0
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
                   ` (9 preceding siblings ...)
  2019-10-19  8:17 ` voidlinux-github
@ 2019-10-28 22:31 ` " voidlinux-github
  2019-10-28 22:31 ` voidlinux-github
                   ` (2 subsequent siblings)
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-10-28 22:31 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 580 bytes --]

There is an updated pull request by yopito against master on the void-packages repository

https://github.com/yopito/void-packages nextcloud-client
https://github.com/void-linux/void-packages/pull/14069

New package: nextcloud-client 2.6.0
* reuse various efforts on packaging it
* does NOT support Client Encryption (LibreSSL 2.9.2 limitation)
* [x] runtime usage ("it's working for me" (tm) )
* [x]  split with subpkg -devel, ...
* [x] crossbuild
* [x] KDE dolphin specific support

A patch file from https://github.com/void-linux/void-packages/pull/14069.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-nextcloud-client-14069.patch --]
[-- Type: text/x-diff, Size: 6224 bytes --]

From c5d8c859488e6762e4ff3486c6575c5aad6d5de9 Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Thu, 29 Aug 2019 23:45:55 +0200
Subject: [PATCH 1/2] New package: nextcloud-client 2.6.0

---
 srcpkgs/nextcloud-client-devel                |  1 +
 srcpkgs/nextcloud-client-dolphin              |  1 +
 srcpkgs/nextcloud-client/INSTALL.msg          |  2 +
 .../patches/libressl-no-rsa_oaep_md.patch     | 23 ++++++++
 srcpkgs/nextcloud-client/template             | 54 +++++++++++++++++++
 5 files changed, 81 insertions(+)
 create mode 120000 srcpkgs/nextcloud-client-devel
 create mode 120000 srcpkgs/nextcloud-client-dolphin
 create mode 100644 srcpkgs/nextcloud-client/INSTALL.msg
 create mode 100644 srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
 create mode 100644 srcpkgs/nextcloud-client/template

diff --git a/srcpkgs/nextcloud-client-devel b/srcpkgs/nextcloud-client-devel
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-devel
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client-dolphin b/srcpkgs/nextcloud-client-dolphin
new file mode 120000
index 00000000000..50c67ada861
--- /dev/null
+++ b/srcpkgs/nextcloud-client-dolphin
@@ -0,0 +1 @@
+nextcloud-client
\ No newline at end of file
diff --git a/srcpkgs/nextcloud-client/INSTALL.msg b/srcpkgs/nextcloud-client/INSTALL.msg
new file mode 100644
index 00000000000..b3e877dc379
--- /dev/null
+++ b/srcpkgs/nextcloud-client/INSTALL.msg
@@ -0,0 +1,2 @@
+NextCloud client end-to-end encryption (e2e) is currently unavailable
+(LibreSSL 2.9.2 does not provide EVP_PKEY_CTX_set_rsa_oaep_md primitive)
diff --git a/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
new file mode 100644
index 00000000000..47c54fff778
--- /dev/null
+++ b/srcpkgs/nextcloud-client/patches/libressl-no-rsa_oaep_md.patch
@@ -0,0 +1,23 @@
+source: https://github.com/nextcloud/desktop/issues/738
+
+--- src/libsync/clientsideencryption.cpp.ORIG	2019-07-25 12:20:49.000000000 +0200
++++ src/libsync/clientsideencryption.cpp	2019-07-28 12:56:18.813514323 +0200
+@@ -35,6 +35,18 @@
+ 
+ #include "wordlist.h"
+ 
++/* libessl 2.92 does not provide EVP_PKEY_CTX_set_rsa_oaep_md
++ * So with LibreSSL EVP_PKEY_CTX_ctrl() should explicitly return an error 
++ * "operation not supported" when you try to use e2e
++ */
++#ifndef EVP_PKEY_CTX_set_rsa_oaep_md
++#define EVP_PKEY_CTRL_RSA_OAEP_MD       (EVP_PKEY_ALG_CTRL + 9)
++#define EVP_PKEY_CTRL_GET_RSA_OAEP_MD   (EVP_PKEY_ALG_CTRL + 11)
++#define EVP_PKEY_CTX_set_rsa_oaep_md(ctx, md) \
++        EVP_PKEY_CTX_ctrl(ctx, EVP_PKEY_RSA, EVP_PKEY_OP_TYPE_CRYPT,  \
++        EVP_PKEY_CTRL_RSA_OAEP_MD, 0, (void *)(md))
++#endif
++
+ QDebug operator<<(QDebug out, const std::string& str)
+ {
+     out << QString::fromStdString(str);
diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
new file mode 100644
index 00000000000..46d0af2b204
--- /dev/null
+++ b/srcpkgs/nextcloud-client/template
@@ -0,0 +1,54 @@
+# Template file for 'nextcloud-client'
+pkgname=nextcloud-client
+version=2.6.0
+revision=1
+wrksrc="desktop-${version}"
+build_style=cmake
+configure_args="-Wno-dev"
+hostmakedepends="pkg-config"
+makedepends="qt5-tools-devel qt5-webengine-devel qt5-declarative-devel
+ qt5-webchannel-devel qt5-location-devel qtkeychain-qt5-devel sqlite-devel
+ qt5-webkit-devel libcloudproviders-devel $(vopt_if dolphin 'extra-cmake-modules kio-devel')"
+conf_files="/etc/Nextcloud/sync-exclude.lst"
+short_desc="NextCloud Desktop client"
+maintainer="yopito <pierre.bourgin@free.fr>"
+license="GPL-2.0-or-later"
+homepage="https://nextcloud.com/clients/"
+distfiles="https://github.com/nextcloud/desktop/archive/v${version}.tar.gz"
+checksum=7b3f3c14d2e44826a5183fd59a7412c6dd5ed00296873e35c566f75c14c3a3ea
+
+build_options="dolphin"
+desc_option_dolphin="Build KDE dolphin support"
+build_options_default="dolphin"
+
+case "$XBPS_TARGET_MACHINE" in
+	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
+esac
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools qt5-tools"
+	# provides desktoptojson
+	hostmakedepends+=" $(vopt_if dolphin 'kcoreaddons')"
+fi
+
+if [ $build_option_dolphin ]; then
+nextcloud-client-dolphin_package() {
+	short_desc+=" - KDE dolphin integration"
+	depends="nextcloud-client>=${version}_${revision}"
+	pkg_install() {
+		vmove usr/lib/libnextclouddolphinpluginhelper.so
+		vmove usr/lib/qt5
+		vmove usr/share/kservices5
+	}
+}
+fi
+
+nextcloud-client-devel_package() {
+	depends="nextcloud-client>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/libnextcloudsync.so
+		vmove "usr/lib/nextcloud/*.so"
+	}
+}

From 27361cc3dfdd8e866e5b011f932157d5a3be07cc Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Mon, 28 Oct 2019 20:42:15 +0100
Subject: [PATCH 2/2] nextcloud-client: declare optional subpkg via subpackages

---
 srcpkgs/nextcloud-client/template | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/nextcloud-client/template b/srcpkgs/nextcloud-client/template
index 46d0af2b204..8270966808f 100644
--- a/srcpkgs/nextcloud-client/template
+++ b/srcpkgs/nextcloud-client/template
@@ -22,7 +22,7 @@ desc_option_dolphin="Build KDE dolphin support"
 build_options_default="dolphin"
 
 case "$XBPS_TARGET_MACHINE" in
-	armv6*|armv7*) broken="qt5-tools-devel unavailable" ;;
+	arm*) broken="qt5-webengine-devel unavailable" ;;
 esac
 
 if [ "$CROSS_BUILD" ]; then
@@ -30,8 +30,8 @@ if [ "$CROSS_BUILD" ]; then
 	# provides desktoptojson
 	hostmakedepends+=" $(vopt_if dolphin 'kcoreaddons')"
 fi
+subpackages="$(vopt_if dolphin 'nextcloud-client-dolphin') nextcloud-client-devel"
 
-if [ $build_option_dolphin ]; then
 nextcloud-client-dolphin_package() {
 	short_desc+=" - KDE dolphin integration"
 	depends="nextcloud-client>=${version}_${revision}"
@@ -41,7 +41,6 @@ nextcloud-client-dolphin_package() {
 		vmove usr/share/kservices5
 	}
 }
-fi
 
 nextcloud-client-devel_package() {
 	depends="nextcloud-client>=${version}_${revision}"

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: New package: nextcloud-client 2.6.0
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
                   ` (11 preceding siblings ...)
  2019-10-28 22:31 ` voidlinux-github
@ 2019-10-28 22:31 ` voidlinux-github
  2019-10-29  8:16 ` [PR PATCH] [Merged]: " voidlinux-github
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-10-28 22:31 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 181 bytes --]

New comment by yopito on void-packages repository

https://github.com/void-linux/void-packages/pull/14069#issuecomment-547173746

Comment:
thanks for pointing these. Here an update

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PR PATCH] [Merged]: New package: nextcloud-client 2.6.0
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
                   ` (12 preceding siblings ...)
  2019-10-28 22:31 ` voidlinux-github
@ 2019-10-29  8:16 ` " voidlinux-github
  13 siblings, 0 replies; 14+ messages in thread
From: voidlinux-github @ 2019-10-29  8:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 417 bytes --]

There's a merged pull request on the void-packages repository

New package: nextcloud-client 2.6.0
https://github.com/void-linux/void-packages/pull/14069

Description:
* reuse various efforts on packaging it
* does NOT support Client Encryption (LibreSSL 2.9.2 limitation)
* [x] runtime usage ("it's working for me" (tm) )
* [x]  split with subpkg -devel, ...
* [x] crossbuild
* [x] KDE dolphin specific support

^ permalink raw reply	[flat|nested] 14+ messages in thread

end of thread, back to index

Thread overview: 14+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
     [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-14069@inbox.vuxu.org>
2019-09-05 17:32 ` [WIP] New package: nextcloud-client 2.5.3 voidlinux-github
2019-09-10 18:36 ` voidlinux-github
2019-09-11  6:27 ` voidlinux-github
2019-10-16  5:06 ` [PR PATCH] [Updated] " voidlinux-github
2019-10-16  5:06 ` voidlinux-github
2019-10-16  6:24 ` [PR PATCH] [Updated] [WIP] New package: nextcloud-client 2.6.0 voidlinux-github
2019-10-16  6:24 ` voidlinux-github
2019-10-19  7:56 ` voidlinux-github
2019-10-19  7:56 ` voidlinux-github
2019-10-19  8:17 ` voidlinux-github
2019-10-28 22:31 ` [PR PATCH] [Updated] " voidlinux-github
2019-10-28 22:31 ` voidlinux-github
2019-10-28 22:31 ` voidlinux-github
2019-10-29  8:16 ` [PR PATCH] [Merged]: " voidlinux-github

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git